#include <stdio.h>
#include <stdlib.h>

long long int a[1000000],n,max=-1,p=0;

int main()
{
    scanf("%d",&n);
    long long int i,j,nadjeno=0;
    for(i=0;i<n;i++)
        scanf("%d",&a[i]);
    for(i=0;i<n-1&&!nadjeno;i++)
    {
        if(p<i)
        {
            for(j=i+1;j<n;j++)
            {
                if(a[j]>=max)
                {
                    max=a[j];
                    p=j;
                }
            }
        }
        if(a[i]==max)
        {
            a[p]=a[i];
            a[i]=max;
            nadjeno=1;
        }
    }
    if(!nadjeno)
    {
        max=a[n-1];
        a[n-1]=a[n-2];
        a[n-2]=max;
    }
    for(i=0;i<n;i++)
        printf("%d ",a[i]);
    return 0;
}